@import 'libs/shared/assets/src/global-style/color';
:host ::ng-deep {
  width: 100%;
}

.container-fluid {
  background: $background-main;
  .form {
    background: $white-color;
  }
}

.form-row {
  justify-content: space-between;
  &__input {
    width: 99.5%;
    border-radius: 8px;
    min-height: 40px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    .button-search {
      align-self: center;
    }
  }
}

.button-action {
  height: 2rem;
  width: 2rem;
  padding: unset;
  display: block;
  em {
    font-size: 20px;
  }
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
}

